/**
 * @module compose
 */
export interface Next {
  (): Promise<void>;
}
export interface Composed<C> {
  (context: C, next?: Next): Promise<void>;
}
export interface Middleware<C> {
  (context: C, next: Next): Promise<void> | void;
}
/**
 * @function compose
 * @description Compose middlewares.
 * @param middlewares The middlewares list.
 */
export declare function compose<C>(...middlewares: Middleware<C>[]): Composed<C>;
