/**
 * @package webpack-dev-service
 * @license MIT
 * @version 0.15.7
 * @author nuintun <nuintun@qq.com>
 * @description A koa 2 middleware for webpack development and hot reloading.
 * @see https://github.com/nuintun/webpack-dev-service#readme
 */

'use strict';

const utils = require('../../utils.cjs');

/**
 * @module setupOutputFileSystem
 */
function setupOutputFileSystem(context) {
  const { fs } = context.options;
  const compilers = utils.getCompilers(context.compiler);
  for (const compiler of compilers) {
    compiler.outputFileSystem = fs;
  }
}

exports.setupOutputFileSystem = setupOutputFileSystem;
