/**
 * @package webpack-dev-service
 * @license MIT
 * @version 0.15.7
 * @author nuintun <nuintun@qq.com>
 * @description A koa 2 middleware for webpack development and hot reloading.
 * @see https://github.com/nuintun/webpack-dev-service#readme
 */

'use strict';

const Socket = require('./Socket.cjs');

/**
 * @module index
 */
function hot(compiler, options) {
  const socket = new Socket.Socket(compiler, options);
  // Middleware.
  return async (ctx, next) => {
    if (!socket.upgrade(ctx)) {
      await next();
    }
  };
}

exports.hot = hot;
