/**
 * @module index
 */
import { Middleware } from 'koa';
import { UnionCompiler } from './interface.cjs';
import { Options as HotOptions } from './hot/index.cjs';
import { Expose, Options as DevOptions } from './dev/index.cjs';
export type Options = DevOptions & {
  hot?: HotOptions | false;
};
/**
 * @function server
 * @description Create koa dev server middleware.
 * @param compiler The rspack compiler instance.
 * @param options Options.
 */
export declare function server(compiler: UnionCompiler, options?: Options): Middleware & Expose;
