/**
 * @module fs
 */
import webpack from 'webpack';
import fs, { Stats } from 'node:fs';
import { GetProp } from '../../interface.js';
export interface FileSystem extends GetProp<webpack.Compiler, 'outputFileSystem'> {
  stat: typeof fs.stat;
  open: typeof fs.open;
  read: typeof fs.read;
  close: typeof fs.close;
}
/**
 * @function createMemfs
 * @description Create memfs instance.
 */
export declare function createMemfs(): FileSystem;
/**
 * @function stat
 * @description Get file stats.
 * @param fs The file system to used.
 * @param path The file path.
 */
export declare function stat(fs: FileSystem, path: string): Promise<Stats | null>;
